// @flow
const debug = require('debug')('api:models:expo-push-subscription');
const { db } = require('shared/db');
import type { DBExpoPushSubscription } from 'shared/types';

export const storeExpoSubscription = (token: string, userId: string) => {
  debug(`store subscription for user#${userId}`);
  return db
    .table('expoPushSubscriptions')
    .insert({
      token,
      userId,
    })
    .run();
};

// prettier-ignore
export const getExpoSubscriptions = (userId: string): Promise<Array<DBExpoPushSubscription>> => {
  debug(`get subscriptions for user#${userId}`);
  return db
    .table('expoPushSubscriptions')
    .getAll(userId, { index: 'userId' })
    .run();
};

export const removeExpoSubscription = (token: string) => {
  debug(`remove subscription ${token}`);
  return db
    .table('expoPushSubscriptions')
    .getAll(token, { index: 'token' })
    .delete()
    .run();
};
