// @flow

import type { GraphQLContext } from '../../';
import { canViewDMThread } from '../../utils/permissions';
import { toPlainText, toState } from 'shared/draft-utils';

export default async (
  { id }: { id: string },
  _: any,
  { loaders, user }: GraphQLContext
) => {
  if (!user || !user.id) return null;

  const canViewThread = await canViewDMThread(user.id, id, loaders);
  if (!canViewThread) return null;

  return loaders.directMessageSnippet.load(id).then(results => {
    if (!results) return 'No messages yet...';
    const message = results.reduction;
    if (message.messageType === 'media') return '📷 Photo';
    return message.messageType === 'draftjs'
      ? toPlainText(toState(JSON.parse(message.content.body)))
      : message.content.body;
  });
};
