// @flow
export const theme = {
  bg: {
    default: '#FFFFFF',
    reverse: '#16171A',
    wash: '#F5F8FC',
    border: '#DFE7EF',
    hairline: '#A3AFBF',
    inactive: '#DFE7EF',
  },
  brand: {
    default: '#4400CC',
    alt: '#7B16FF',
    wash: '#E8E5FF',
    border: '#DDD9FF',
    dark: '#2A0080',
  },
  generic: {
    default: '#E6ECF7',
    alt: '#F6FBFC',
  },
  social: {
    facebook: {
      default: '#3B5998',
      alt: '#5A85DF',
    },
    twitter: {
      default: '#00ACED',
      alt: '#53D0FF',
    },
    google: {
      default: '#ea4335',
      alt: '#ea4335',
    },
    github: {
      default: '#16171A',
      alt: '#828C99',
    },
    ph: {
      default: '#D85537',
      alt: '#D85537',
    },
  },
  space: {
    default: '#0062D6',
    alt: '#1CD2F2',
    wash: '#E5F0FF',
    border: '#BDD8FF',
    dark: '#0F015E',
  },
  special: {
    default: '#E58306',
    alt: '#F1C742',
    dark: '#7D4A00',
    wash: '#FFF5E5',
    border: '#FFE6BF',
  },
  success: {
    default: '#00B88B',
    alt: '#00D5BD',
    dark: '#00663C',
    wash: '#D9FFF2',
    border: '#9FF5D9',
  },
  text: {
    default: '#16171A',
    alt: '#828C99',
    reverse: '#FFFFFF',
    placeholder: '#A3AFBF',
    secondary: '#494C57',
  },
  warn: {
    default: '#C21F3A',
    alt: '#E2197A',
    dark: '#85000C',
    wash: '#FFEDF6',
    border: '#FFCCE5',
  },
};

export type ThemeType = typeof theme;

export default theme;
